> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/v1/deposits-api/streamline-api/payment-methods-endpoint.md).

# Payment Methods Endpoint

The Payment Methods endpoint allows you to retrieve the complete list of payment methods you have available for the country specified

### Payment Methods API

<mark style="color:green;">`POST`</mark> `https://api-stg.directa24.com/api_curl/apd/get_banks_by_country`

This endpoint returns a list of the Payment Methods available for a specific country. Use this API to show on your Deposit Page the payment methods available.

**Headers**

| Name                                           | Type   | Description                       |
| ---------------------------------------------- | ------ | --------------------------------- |
| Content-Type<mark style="color:red;">\*</mark> | string | application/x-www-form-urlencoded |

**Request Body**

| Name                                            | Type   | Description                                                                                                                                              |
| ----------------------------------------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------- |
| x\_login<mark style="color:red;">\*</mark>      | string | Your Easy Cashouts API WEB STATUS API Key, found on the Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Key           |
| x\_trans\_key<mark style="color:red;">\*</mark> | string | Your Easy Cashouts API WEB STATUS API Passphrase, found on Merchant Panel by going to Settings -> API Access -> Web Status Credentials -> API Passphrase |
| country\_code<mark style="color:red;">\*</mark> | string | Country ISO code                                                                                                                                         |
| type<mark style="color:red;">\*</mark>          | string | The format of the response: JSON, XML or STRING. If none is specified the response will be in XML                                                        |

{% tabs %}
{% tab title="200 Payment Methods list" %}

```java
[
{
"code": "BL",
"name": "Boleto",
"logo": "https://resources.directa24.com/cashin/payment_method/square/BL.svg",
"payment_type": "02"
},
{
"code": "PP",
"name": "Picpay",
"logo": "https://resources.directa24.com/cashin/payment_method/square/PP.svg",
"payment_type": "02"
},
{
"code": "BB",
"name": "Banco do Brasil",
"logo": "https://resources.directa24.com/cashin/payment_method/square/BB.svg",
"payment_type": "00"
},
{
"code": "B",
"name": "Bradesco",
"logo": "https://resources.directa24.com/cashin/payment_method/square/B.svg",
"payment_type": "00"
},
{
"code": "VI",
"name": "Visa",
"logo": "https://resources.directa24.com/cashin/payment_method/square/VI.svg",
"payment_type": "03"
},
{
"code": "MC",
"name": "Mastercard",
"logo": "https://resources.directa24.com/cashin/payment_method/square/MC.svg",
"payment_type": "03"
},
{
"code": "CA",
"name": "Caixa",
"logo": "https://resources.directa24.com/cashin/payment_method/square/CA.svg",
"payment_type": "01"
},
{
"code": "SB",
"name": "Santander",
"logo": "https://resources.directa24.com/cashin/payment_method/square/SB.svg",
"payment_type": "01"
},
{
"code": "I",
"name": "Itau",
"logo": "https://resources.directa24.com/cashin/payment_method/square/I.svg",
"payment_type": "00"
},
{
"code": "SJ",
"name": "Sicredi",
"logo": "https://resources.directa24.com/cashin/payment_method/square/SJ.svg",
"payment_type": "01"
},
{
"code": "BZ",
"name": "Banco Original",
"logo": "https://resources.directa24.com/cashin/payment_method/square/BZ.svg",
"payment_type": "01"
},
{
"code": "UL",
"name": "Banrisul",
"logo": "https://resources.directa24.com/cashin/payment_method/square/UL.svg",
"payment_type": "01"
},
{
"code": "SF",
"name": "Banco Safra",
"logo": "https://resources.directa24.com/cashin/payment_method/square/SF.svg",
"payment_type": "01"
},
{
"code": "LC",
"name": "Loterias Caixa",
"logo": "https://resources.directa24.com/cashin/payment_method/square/LC.svg",
"payment_type": "02"
}
]
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
The same information this endpoint returns can be retrieved from the Merchant Panel by going to the Payment Methods section.
{% endhint %}

{% hint style="info" %}
All the requests must be in x-www-form-urlencoded format and contain the following header:

`Content-Type: application/x-www-form-urlencoded`
{% endhint %}

### Example request

```
curl -X POST \
https://api.directa24.com/api_curl/apd/get_banks_by_country \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'x_login=API_Key&x_trans_key=API_Passphrase&country_code=BR&type=json'

```

### Example response

```javascript
[
{
"code": "BL",
"name": "Boleto",
"logo": "https://resources.directa24.com/cashin/payment_method/square/BL.svg",
"payment_type": "02"
},
{
"code": "PP",
"name": "Picpay",
"logo": "https://resources.directa24.com/cashin/payment_method/square/PP.svg",
"payment_type": "02"
},
{
"code": "BB",
"name": "Banco do Brasil",
"logo": "https://resources.directa24.com/cashin/payment_method/square/BB.svg",
"payment_type": "00"
},
{
"code": "B",
"name": "Bradesco",
"logo": "https://resources.directa24.com/cashin/payment_method/square/B.svg",
"payment_type": "00"
},
{
"code": "CA",
"name": "Caixa",
"logo": "https://resources.directa24.com/cashin/payment_method/square/CA.svg",
"payment_type": "01"
},
{
"code": "SB",
"name": "Santander",
"logo": "https://resources.directa24.com/cashin/payment_method/square/SB.svg",
"payment_type": "01"
},
{
"code": "I",
"name": "Itau",
"logo": "https://resources.directa24.com/cashin/payment_method/square/I.svg",
"payment_type": "00"
}
]
```

### **Request fields description**

| Field         | Format                  | Description                                                                                                                                                 |
| ------------- | ----------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| x\_login      | string (max length: 32) | Your Easy Cashouts API **DEPOSITS** API Key, found on the Merchant Panel by going to Settings -> API Access -> Deposit Credentials -> API Key               |
| x\_trans\_key | string (max length: 32) | Your Easy Cashouts API **DEPOSITS** API Passphrase, found on the Merchant Panel by going to Settings -> API Access -> Deposit Credentials -> API Passphrase |
| country\_code | String (2 chars)        | Country ISO code. [Click here](https://docs.directa24.com/knowledge-base/countries-specifications) to see country codes.                                    |
| type          | String                  | Response type. Example: json, xml, pipe                                                                                                                     |

\
[Click here](https://docs.directa24.com/v1/deposits-api/api-codes#payment-types) for each payment\_type code meaning shown in the get\_banks\_by\_country API response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pandablue.com/v1/deposits-api/streamline-api/payment-methods-endpoint.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
